petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSNESSetJacobianLocal

set a local Jacobian evaluation function

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESSetJacobianLocal(DM dm,PetscErrorCode (*func)(DM,Vec,Mat,Mat,void*),void *ctx)

Logically Collective Many br

### Input Arguments

| dm | - DM to associate callback with Many br
| func | - local Jacobian evaluation Many br
| ctx | - optional context for local Jacobian evaluation Many br

Many br

### See Also

DMSNESSetJacobian(), DMDASNESSetJacobian(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d()

Level:beginner
Location:src/snes/utils/dmlocalsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages